Pocket Wizard Firmware Update 6.200 for Canon

December 19, 2012 | Zoltan Arva-Toth | Accessories | 1 Comment |
News image

LPA Design today released a new update to its ControlTL firmware for Canon versions of the MiniTT1 and FlexTT5 PocketWizard radios.  Available now, firmware version 6.200 for Canon adds compatibility with the Canon 5D Mark III digital SLR camera.  Any current owner of the ControlTL system can install this version via USB connection and update for free using the PocketWizard Utility (version 1.54 or later). For more information on how to update PocketWizard products via USB connection, visit the website below.

Website: PocketWizard

Press Release

PocketWizard® Photo Products Announces ControlTL® Firmware Update for Canon 5D Mark III

Update provides compatibility for Canon version MiniTT1® and FlexTT5® radios with the Canon 5D Mark III digital SLR camera

So. Burlington, VT – December 19, 2012 – LPA Design, manufacturers of PocketWizard Photo Products, the world leader in wireless control of cameras, flash lighting and light meters, announces today a new update to its ControlTL firmware for Canon versions of its MiniTT1 and FlexTT5 radios. Available now, firmware version 6.200 for Canon includes compatibility with the Canon 5D Mark III digital SLR camera.  Any current owner of the ControlTL system can easily install this version via USB connection and update for free using the PocketWizard Utility. PocketWizard Utility version 1.54 or later is required before installing this update.

“This latest release of ControlTL firmware further strengthens PocketWizard’s compatibility with the Canon brand of digital cameras and flashes,” said Dave Schmidt, Vice President of Marketing at LPA Design, the company that manufacturers PocketWizard Photo Products. “Our engineers worked tirelessly to make this update available to our customers that use the Canon 5D Mark III camera. Our goal is to provide photographers with frequent important upgrades such as this because it allows owners of PocketWizard radios to stay current as new cameras and flash units are introduced.”
Compatibility for the Canon EOS-1D X is not available at this time but firmware for this camera should be available in the near future. Learn more about our firmware development plan here:

http://www.pocketwizard.com/news_events/news/firmware_release_plan/

For more information on how to update PocketWizard products via USB connection visit: http://www.pocketwizard.com/support/downloads/

About PocketWizard
Incorporating the latest radio technology, PocketWizard radio triggers exceed the demands of the professional and serious amateur photographer with durability, ease of use, advanced capabilities and legendary reliability.  PocketWizard products, including the PLUS® III, PLUS® II, MultiMAX, MiniTT1® and FlexTT5® are made by LPA Design, based in South Burlington, Vermont and sold by distributors around the world including the MAC Group in the USA.



Tracker Pixel for Entry

Your Comments

1 Comment | Post a Comment

#1 Graeme Webb

I have owned the PocketWizard Mini and Flex for Cannon since they were launched.
They cost more than other brands but I personally think they are worth the money. They fire every-time without fail. (I did have to send one back, after it was not triggering due to some hardware fault, but it was replaced without question... got to love PW customer service).
I love the fact that they are continually bringing out firmware updates. Not that I change camera that often but it nice to know that when i do the firmware will keep up. I just upgraded to the latest version, as I allowed a friend of mine to use my PocketWizards on his Cannon 5D Mk3, and it was not syncing properly, now its perfect!!
Once you try PocketWizards, you'll never change!

10:23 am - Tuesday, January 1, 2013